## testssl.sh 3.2.2+dfsg

=== doc/Makefile ===
PANDOC = pandoc
MANSECTION = 1
NAME = testssl
TITLE = testssl.sh

all: $(NAME).$(MANSECTION) $(NAME).$(MANSECTION).html

force: clean all

clean:
	rm -f $(NAME).$(MANSECTION) $(NAME).$(MANSECTION).html

$(NAME).$(MANSECTION): $(NAME).$(MANSECTION).md
	$(PANDOC) --standalone --to man $(NAME).$(MANSECTION).md -o $@

$(NAME).$(MANSECTION).html: template.html $(NAME).$(MANSECTION).md
	$(PANDOC) --standalone --to html5 --template template.html --metadata title="$(TITLE)" $(NAME).$(MANSECTION).md -o $@

## testssl.sh 2.6+dfsg1

=== debian/changelog ===
testssl.sh (2.6+dfsg1-2) unstable; urgency=medium

  * Fix FTBFS
  * Install upstream changelog
  * Update manpage
    * Replace testssl.sh with testssl

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Thu, 15 Oct 2015 11:54:48 +0800

testssl.sh (2.6+dfsg1-1) unstable; urgency=low

  * Initial release. Closes: #800055

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 27 Sep 2015 22:38:29 +0800

=== debian/control ===
Source: testssl.sh
Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
Section: utils
Priority: extra
Build-Depends: debhelper (>= 9),
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/testssl.sh
Vcs-Git: git://anonscm.debian.org/collab-maint/testssl.sh.git
Homepage: https://testssl.sh/

Package: testssl.sh
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends},
         openssl (>= 1)
Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
 testssl.sh is a free command line tool which checks a server's service
 on any port for the support of TLS/SSL ciphers, protocols as well as
 recent cryptographic flaws and more. 
 .
 Key features
 .
  * Clear output: you can tell easily whether anything is good or bad
 .
  * Ease of installation: It works for Linux, Darwin, FreeBSD and
   MSYS2/Cygwin out of the box: no need to install or configure
   something, no gems, CPAN, pip or the like.
 .
  * Flexibility: You can test any SSL/TLS enabled and STARTTLS service,
   not only webservers at port 443
 .
  * Toolbox: Several command line options help you to run YOUR test and
   configure YOUR output
 .
  * Reliability: features are tested thoroughly
 .
  * Verbosity: If a particular check cannot be performed because of a
   missing capability on your client side, you'll get a warning
 .
  * Privacy: It's only you who sees the result, not a third party
 .
  * Freedom: It's 100% open source. You can look at the code, see what's
   going on and you can change it. Heck, even the development is open
   (github)

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_install:
	install -D testssl.sh debian/testssl.sh/usr/bin/testssl

override_dh_installchangelogs:
	dh_installchangelogs CHANGELOG.stable-releases.txt

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/drwetter/testssl.sh/releases .*/v([\d\.]+).tar.gz

## testssl.sh 2.8~rc3+dfsg1

=== debian/changelog ===
testssl.sh (2.8~rc3+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.
  * Change maintainer to Debian Security Tools Packaging Team.
  * Update Vcs-* fields.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Jan 2017 15:48:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: testssl.sh
-Maintainer: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
 Priority: extra
 Build-Depends: debhelper (>= 9),
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/testssl.sh
-Vcs-Git: git://anonscm.debian.org/collab-maint/testssl.sh.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/git/pkg-security/testssl.sh
+Vcs-Git: https://anonscm.debian.org/git/pkg-security/testssl.sh
 Homepage: https://testssl.sh/
 
 Package: testssl.sh
@@ -16,7 +17,7 @@
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service
  on any port for the support of TLS/SSL ciphers, protocols as well as
- recent cryptographic flaws and more. 
+ recent cryptographic flaws and more.
  .
  Key features
  .

## testssl.sh 2.9.5-1+dfsg1

=== debian/changelog ===
testssl.sh (2.9.5-1+dfsg1-2) unstable; urgency=medium

  [ Unit 193 ]
  * d/p/allow_loading_config.patch:
    - Config is presumed to be in the same dir as the script, or in ./etc/
  * d/install: Install etc/* to /etc/testssl. (Closes: #888393)

  [ ChangZhuo Chen (陳昌倬) ]
  * Bump Standards-Version to 4.1.3.
  * Bump compat to 11.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 11 Feb 2018 21:22:57 +0800

testssl.sh (2.9.5-1+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.1.
    * Change Priority to optional.
    * Change Format in copyright to https.
  * Add Multi-Arch: foreign.
  * Use upstream manpage.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 06 Oct 2017 18:57:29 +0800

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
-Priority: extra
-Build-Depends: debhelper (>= 9),
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/git/pkg-security/testssl.sh
-Vcs-Git: https://anonscm.debian.org/git/pkg-security/testssl.sh
+Priority: optional
+Build-Depends: debhelper (>= 11),
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
+Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/
 
 Package: testssl.sh
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          openssl (>= 1)

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,7 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.stable-releases.txt
+
+override_dh_auto_test:
+	# Disable test cases since it needs to connect to badssl.com, smtp-relay.gmail.com.
+	# prove -v

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1 \
https://github.com/drwetter/testssl.sh/releases .*/v(.+).tar.gz

## testssl.sh 2.9.5-5+dfsg1

=== debian/changelog ===
testssl.sh (2.9.5-5+dfsg1-1) unstable; urgency=medium

  [ Raphaël Hertzog ]
  * Update team maintainer address to Debian Security Tools
    <team+pkg-security@tracker.debian.org>.

  [ ChangZhuo Chen (陳昌倬) ]
  * New upstream release.
  * Bump Standards-Version to 4.1.5.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 17 Jul 2018 13:07:55 +0800

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: testssl.sh
-Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper (>= 11),
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

## testssl.sh 2.9.5-7%2Bdfsg1

=== debian/changelog ===
testssl.sh (2.9.5-7+dfsg1-2) unstable; urgency=medium

  * Team upload.
  * debian/control: added dnsutils | ldnsutils, bsdmainutils
    and procps as dependencies. (Closes: #928728)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 May 2019 20:38:36 -0300

testssl.sh (2.9.5-7+dfsg1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.9.5-7+dfsg1
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update patch

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Jan 2019 22:25:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 11),
-Standards-Version: 4.1.5
+Build-Depends: debhelper (>= 12~),
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/
@@ -14,7 +14,10 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         openssl (>= 1)
+         bsdmainutils,
+         dnsutils | ldnsutils,
+         openssl (>= 1),
+         procps
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service
  on any port for the support of TLS/SSL ciphers, protocols as well as

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,8 @@
 override_dh_auto_test:
 	# Disable test cases since it needs to connect to badssl.com, smtp-relay.gmail.com.
 	# prove -v
+
+override_dh_fixperms:
+	dh_fixperms
+	chmod -x debian/testssl.sh/etc/testssl/tls_data.txt
+	chmod +x debian/testssl.sh/etc/testssl/client-simulation.txt

## testssl.sh 2.9.5-7+dfsg1

=== debian/control ===
--- 
+++ 
@@ -14,10 +14,7 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         bsdmainutils,
-         dnsutils | ldnsutils,
-         openssl (>= 1),
-         procps
+         openssl (>= 1)
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service
  on any port for the support of TLS/SSL ciphers, protocols as well as

## testssl.sh 3.0~rc6+dfsg1

=== debian/changelog ===
testssl.sh (3.0~rc6+dfsg1-1) unstable; urgency=medium

  * Team upload.

  [ Samuel Henrique ]
  * Add salsa-ci.yml

  [ Unit 193 ]
  * d/watch: Update to pick up RC tags.
  * New upstream version 3.0~rc6+dfsg1
    - Refresh patch.
  * d/rules: Update for renamed changelog file.
  * d/compat, d/control: Drop d/compat in favor of debhelper-compat.
  * d/control: Set R³ to no.
  * Update Standards-Version to 4.4.1.
  * d/testssl.sh.maintscript: Clean up obsolete config file.
  * d/copyright: Add upstream license note as a comment.

 -- Unit 193 <unit193@ubuntu.com>  Mon, 06 Jan 2020 23:39:33 -0500

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 12~),
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

## testssl.sh 3.0+dfsg1

=== debian/changelog ===
testssl.sh (3.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0+dfsg1
    - Refresh patch.
  * d/control: Add myself to uploaders.
  * d/s/local-options: Drop, as these are default.
  * Update Standards-Version to 4.5.0.

 -- Unit 193 <unit193@ubuntu.com>  Wed, 29 Jan 2020 17:53:47 -0500

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: testssl.sh
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
-Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>
+Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
+           Unit 193 <unit193@ubuntu.com>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=3
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/ \
https://github.com/drwetter/testssl.sh/releases .*/v?(.*).tar.gz

## testssl.sh 3.0.1+dfsg1

=== debian/changelog ===
testssl.sh (3.0.1+dfsg1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Unit 193 <unit193@ubuntu.com>  Sat, 25 Apr 2020 17:05:27 -0400

testssl.sh (3.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.1+dfsg1
    - Refresh patch.

 -- Unit 193 <unit193@ubuntu.com>  Sun, 19 Apr 2020 19:38:40 -0400

## testssl.sh 3.0.2+dfsg1

=== debian/changelog ===
testssl.sh (3.0.2+dfsg1-3) unstable; urgency=medium

  * d/control: Correct dependancies for backportability.
  * Adjust line exceeding 80 columns in previous changelog entry.

 -- Unit 193 <unit193@debian.org>  Tue, 28 Jul 2020 02:35:25 -0400

testssl.sh (3.0.2+dfsg1-2) unstable; urgency=medium

  * Team upload.

  [ Gerardo Di Giacomo ]
  * d/control: Update binary dependencies. Closes: #962995

  [ Raphaël Hertzog ]
  * Set upstream metadata fields: Bug-Database,
    Bug-Submit, Repository, Repository-Browse.

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 29 Jun 2020 22:56:26 +0200

testssl.sh (3.0.2+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.2+dfsg1.
    - Refresh patch.
  * d/control: Update my email address.
  * d/copyright: Drop license comment as wording has been removed upstream.

 -- Unit 193 <unit193@debian.org>  Fri, 08 May 2020 20:05:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: testssl.sh
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           Unit 193 <unit193@ubuntu.com>
+           Unit 193 <unit193@debian.org>
 Section: utils
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
@@ -16,7 +16,11 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         openssl (>= 1)
+         openssl (>= 1),
+         bsdextrautils (>= 2.35.2-3) | bsdmainutils (<< 12.1.1~),
+         procps,
+         dnsutils
+Recommends: libengine-gost-openssl1.1
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service
  on any port for the support of TLS/SSL ciphers, protocols as well as

## testssl.sh 3.0.3+dfsg1

=== debian/changelog ===
testssl.sh (3.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.3+dfsg1.
    - Refresh patch.
  * d/watch: Needlessly bump compat to 4.
  * Update Standards-Version to 4.5.1.

 -- Unit 193 <unit193@debian.org>  Thu, 19 Nov 2020 22:42:46 -0500

## testssl.sh 3.0.4+dfsg1

=== debian/changelog ===
testssl.sh (3.0.4+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.4+dfsg1.
    - Refresh patch.

 -- Unit 193 <unit193@debian.org>  Sun, 22 Nov 2020 19:46:09 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 	install -D testssl.sh debian/testssl.sh/usr/bin/testssl
 
 override_dh_installchangelogs:
-	dh_installchangelogs CHANGELOG.stable-releases.txt
+	dh_installchangelogs CHANGELOG.md
 
 override_dh_auto_test:
 	# Disable test cases since it needs to connect to badssl.com, smtp-relay.gmail.com.

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=4
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/ \
https://github.com/drwetter/testssl.sh/releases .*/v?(.*).tar.gz

## testssl.sh 3.0.5+dfsg1

=== debian/changelog ===
testssl.sh (3.0.5+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.5+dfsg1.
    - Refresh patch.
  * d/control: Bump DH compat to 13.

 -- Unit 193 <unit193@debian.org>  Wed, 11 Aug 2021 18:54:00 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
            Unit 193 <unit193@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh

## testssl.sh 3.0.6+dfsg1

=== debian/changelog ===
testssl.sh (3.0.6+dfsg1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Sat, 16 Oct 2021 23:45:52 -0400

testssl.sh (3.0.6+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.0.6+dfsg1.
    - Refresh patch.
  * Update Standards-Version to 4.6.0.

 -- Unit 193 <unit193@debian.org>  Sun, 10 Oct 2021 02:53:10 -0400

## testssl.sh 3.0.7+dfsg

=== debian/changelog ===
testssl.sh (3.0.7+dfsg-1) unstable; urgency=medium

  * d/watch: Drop the number off dfsg version.
  * New upstream version 3.0.7+dfsg.
    - Refresh patch.
  * d/t/upstream-tests.sh: Add upstream tests for autopkgtest.
  * d/copyright: Add my attribution.
  * d/rules: client-simulation.txt is sourced, not executed, drop execute bit.

 -- Unit 193 <unit193@debian.org>  Sun, 20 Feb 2022 19:32:08 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d?//,repacksuffix=+dfsg,uversionmangle=s/rc/~rc/ \
https://github.com/drwetter/testssl.sh/releases .*/v?(.*).tar.gz

## testssl.sh 3.0.8%2Bdfsg

=== debian/changelog ===
testssl.sh (3.0.8+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Unit 193 <unit193@debian.org>  Fri, 04 Nov 2022 07:59:04 -0400

testssl.sh (3.0.8+dfsg-1) unstable; urgency=medium

  * d/watch: Switch from using GitHub releases to tags.
  * New upstream version 3.0.8+dfsg.
    - Refresh patch.
  * Update Standards-Version to 4.6.1.

 -- Unit 193 <unit193@debian.org>  Wed, 02 Nov 2022 05:51:29 -0400

## testssl.sh 3.0.8+dfsg

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

=== debian/rules ===
--- 
+++ 
@@ -21,4 +21,3 @@
 override_dh_fixperms:
 	dh_fixperms
 	chmod -x debian/testssl.sh/etc/testssl/tls_data.txt
-	chmod +x debian/testssl.sh/etc/testssl/client-simulation.txt

=== debian/tests/control ===
Tests: upstream-tests.sh
Depends: @

## testssl.sh 3.0.8+dfsg1

=== debian/changelog ===
testssl.sh (3.0.8+dfsg1-1) parrot-updates; urgency=medium

  * Refresh old patch from Debian side

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:47:06 +0700

testssl.sh (3.0.8-0parrot1) parrot-updates; urgency=medium

  * New upstream version 3.0.8+dfsg1

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:39:04 +0700

testssl.sh (3.0.4+dfsg1-3) parrot-updates; urgency=medium

  * Fix update url

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:38:24 +0700

testssl.sh (3.0.4+dfsg1-2) parrot-updates; urgency=medium

  [ dmknght ]
  * Remove Debian's configs

 -- Nong Hoang Tu <dmknght@parrotsec.org>  Fri, 03 Mar 2023 10:36:15 +0700

=== debian/watch ===
# You must remove unused comment lines for the released package.
version=4
opts=dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg1,uversionmangle=s/rc/~rc/ \
https://github.com/drwetter/testssl.sh/tags .*/v?(.*).tar.gz

## testssl.sh 3.2~rc3+dfsg

=== debian/changelog ===
testssl.sh (3.2~rc3+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Unit 193 ]
  * New upstream version 3.2~rc3+dfsg.
    - Refresh patch.
  * d/control: Drop old version constraints and update recommends
  * d/copyright: Update my years.
  * d/rules: Drop dh_fixperms override, no longer needed.
  * Update Standards-Version to 4.6.2.

 -- Unit 193 <unit193@debian.org>  Sat, 04 Nov 2023 19:11:24 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/
@@ -16,11 +16,11 @@
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         openssl (>= 1),
-         bsdextrautils (>= 2.35.2-3) | bsdmainutils (<< 12.1.1~),
+         openssl,
+         bsdextrautils,
          procps,
          dnsutils
-Recommends: libengine-gost-openssl1.1
+Recommends: libengine-gost-openssl
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service
  on any port for the support of TLS/SSL ciphers, protocols as well as

## testssl.sh 3.2~rc4+dfsg

=== debian/changelog ===
testssl.sh (3.2~rc4+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2~rc4+dfsg.
    - Refresh patch.
  * d/control: Fix depend, dnsutils → bind9-dnsutils. (Closes: #1094776)
  * d/copyright: Update my years.
  * Update Standards-Version to 4.7.0.

 -- Unit 193 <unit193@debian.org>  Sat, 01 Feb 2025 00:24:18 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/
@@ -19,7 +19,7 @@
          openssl,
          bsdextrautils,
          procps,
-         dnsutils
+         bind9-dnsutils
 Recommends: libengine-gost-openssl
 Description: Command line tool to check TLS/SSL ciphers, protocols and cryptographic flaws
  testssl.sh is a free command line tool which checks a server's service

## testssl.sh 3.2.1+dfsg

=== debian/changelog ===
testssl.sh (3.2.1+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.1+dfsg.
    - Refresh patch.
  * Update Standards-Version to 4.7.2.

 -- Unit 193 <unit193@debian.org>  Mon, 16 Jun 2025 06:09:55 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/testssl.sh
 Vcs-Git: https://salsa.debian.org/pkg-security-team/testssl.sh.git
 Homepage: https://testssl.sh/

## testssl.sh 3.2.2+dfsg

=== debian/changelog ===
testssl.sh (3.2.2+dfsg-1) unstable; urgency=medium

  * New upstream version 3.2.2+dfsg

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 21 Sep 2025 22:55:05 +0800

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,3 @@
 override_dh_auto_test:
 	# Disable test cases since it needs to connect to badssl.com, smtp-relay.gmail.com.
 	# prove -v
-
-override_dh_fixperms:
-	dh_fixperms
-	chmod -x debian/testssl.sh/etc/testssl/tls_data.txt

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d?//,repacksuffix=+dfsg,uversionmangle=s/rc/~rc/ \
https://github.com/drwetter/testssl.sh/tags .*/v?(.*).tar.gz
